%define ver 4.77
%define rel 1mdk

Summary:	Netscape in Korean
Name:		netscape-korean
Version:	%{ver}
Release:	%{rel}

Source:		ftp://ftp.kr.freebsd.org/pub/users/cjh/netscape-ko/netscape-korean-kit-v476.20001031.tar.bz2

Group:		Networking/WWW
Copyright:	http://www.mozilla.org/docs/l10n/ulpLicense.html
URL:		http://www.kr.freebsd.org/~cjh/freetime/mozilla/netscape-ko/
BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	netscape-common = %{ver}
Requires:	 locales-ko
#Icon: mozilla-ko.xpm

%description
This package contains the needed files to have Netscape's interface
in Korean

%prep
%setup -n netscape-korean-kit-v476.20001031

%build
mkdir -p $RPM_BUILD_ROOT/usr/lib/netscape/ko
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ko/app-defaults

%install
cat Netscape.ad-ko | sed 's/kodig/*/' | \
	sed 's|/@LOC_LANG@/netscape|/usr/lib/netscape/ko/|' > \
        $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ko/app-defaults/Netscape
echo "*Cancel.labelString: " >> \
	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/ko/app-defaults/Netscape

cp about bookmark.htm license plugins splash \
	$RPM_BUILD_ROOT/usr/lib/netscape/ko

tar zxvf nethelp-v451.nif -C $RPM_BUILD_ROOT/usr/lib/netscape/ko

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* ChangeLog 
/usr/lib/netscape/ko
%config /usr/X11R6/lib/X11/ko/app-defaults/Netscape

%changelog
* Mon Apr 09 2001 David BAUDENS <baudens@mandrakesoft.com> 4.77-1mdk
- Adapted to Netscape 4.77
- Used %%_tmppath for BuildRoot

* Tue Apr 03 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 4.76-1mdk
- updated to 4.76 files (thanks to Coe Jaegum)

* Tue Aug 24 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- corrected the path to localized splash/about/...

* Mon Aug 16 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rpmized for Mandrake

